Package org.eclipse.e4.ui.workbench

# Interface UIEvents.EventTypes

Enclosing class:
  UIEvents

public static interface UIEvents.EventTypes
E4 UI Event Types. Add appropriate utility is <Test> method below if new types added

Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADD`
Add event: value added is `UIEvents.EventTags.NEW_VALUE`.
`static final String`
`ADD_MANY`
Add many items: values added are `UIEvents.EventTags.NEW_VALUE`
`static final String`
`CREATE`
Creation event
`static final String`
`MOVE`
Value moved: the value moved is the `UIEvents.EventTags.NEW_VALUE`, the old position is `UIEvents.EventTags.OLD_VALUE`, and the new position in `UIEvents.EventTags.POSITION`.
`static final String`
`REMOVE`
Remove event: value removed is `UIEvents.EventTags.OLD_VALUE`
`static final String`
`REMOVE_MANY`
Remove many event: the values removed are the `UIEvents.EventTags.OLD_VALUE` (a collection).
`static final String`
`SET`
Set event

## Field Details

### CREATE

static final String CREATE
Creation event

See Also:
  - Constant Field Values

### SET

static final String SET
Set event

See Also:
  - Constant Field Values

### ADD

static final String ADD
Add event: value added is `UIEvents.EventTags.NEW_VALUE`.

See Also:
  - `UIEvents.isADD(Event)`
  - Constant Field Values

### ADD_MANY

static final String ADD_MANY
Add many items: values added are `UIEvents.EventTags.NEW_VALUE`

See Also:
  - `UIEvents.isADD(Event)`
  - Constant Field Values

### REMOVE

static final String REMOVE
Remove event: value removed is `UIEvents.EventTags.OLD_VALUE`

See Also:
  - `UIEvents.isREMOVE(Event)`
  - Constant Field Values

### REMOVE_MANY

static final String REMOVE_MANY
Remove many event: the values removed are the `UIEvents.EventTags.OLD_VALUE` (a collection). The former positions of the removed values are provided as an integer array in `UIEvents.EventTags.POSITION`.

See Also:
  - `UIEvents.isREMOVE(Event)`
  - Constant Field Values

### MOVE

static final String MOVE
Value moved: the value moved is the `UIEvents.EventTags.NEW_VALUE`, the old position is `UIEvents.EventTags.OLD_VALUE`, and the new position in `UIEvents.EventTags.POSITION`.

See Also:
  - Constant Field Values